/* 
 * Text Trigger plugin for HeXHub (http://sourceforge.net/projects/hexhub)
 * (C) Copyright 2007 Morten Larsen, bluebear dot dk at gmail dot com
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef TRIG_H
#define TRIG_H

struct Trigger {
	char name[256];
	char description[256];
	char usercommand[256];
};

struct TriggerList {
	Trigger      t;
	long         triggerId;
	long		 usercommandId;
	long		 helpstringId;
	std::string  registeredHelpString;
	std::string  registeredUserCommand;
	std::string  text;
	TriggerList *next;
};

#endif